Get list of recurring event schedule

This API is used to get a list of a recurring event schedule. If the event is recurring, it will give results as a list of the recurring events. If the event is not recurring, it will return an empty result.

Path Parameters
Not Required

Body Parameters
Not Required

Response
Details / Check response object

Authentication required - ✅

Role wise accessibility 

Super Admin - ✅
Organizer Admin - ✅
Staff - ❌
Attendee - ❌
Exhibitor - ❌
Speaker - ❌

Modules
Display - ❌
Portal - ❌
Host - ✅

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

if the event is recurring then it will return a response in JSON format, Below you can find the description of each response attribute.

AttributesDescription
startTimeThis contains the start time of the event
endTimeThis contains the end time of the event
occursFromThis contains the date the event started.
occursUntilThis contains the date the event will end.
idThis contains the id for a recurring event
frequencyThis contains the frequency of the recurring event.
(i.e. daily, weekly, monthly)
dayOfMonthThis contains the day of the month on which a recurring event is scheduled if the frequency is monthly.
(i.e. every 1st of the month).
weekOfMonthThis contains the week of the month on which recurring event is scheduled if the frequency is monthly.
(i.e. 1st week of the month).
daysOfWeekThis contains the day on which recurring event is scheduled if the frequency is weekly or monthly.
(i.e. Sunday)
endTimeOnXDaysThis contains the number of days between two recurring events
totalDaysCountThis contains the total number of days for the recurring event
soldTicketsThis contains a boolean value (true or false) for if tickets are sold or not.
soldDateThis contains the date when the ticket is sold.
recurringEventResDtos

This will contain an array of objects which contain information regarding a specific event day.

This will contain below attributes:

endTime, id, location, occursFrom, occursUntil,
remainingTicketCount, scheduleId,
soldTicketCount, soldTickets, startTime.

The function of these attributes is the same as they were defined before in this table, except these are for a specific event day.

Below, you can find the description of the possible error messages, which are returned.

Error CodeError Description
4030201Not Event Host
401Not authorize to access
Path Params
string
required

Event url is unique identifier for your event. E.g https://www.accelevents.com/events/demo. Here demo is the event url.

Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json